Submit Counter Offer
POST
/api/projects/offers/{assignment_uuid}/counter
const url = 'https://example.com/api/projects/offers/example/counter';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"rate":1,"estimated_volume":1,"estimated_total":1,"deadline":1,"counter_notes":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/projects/offers/example/counter \ --header 'Content-Type: application/json' \ --data '{ "rate": 1, "estimated_volume": 1, "estimated_total": 1, "deadline": 1, "counter_notes": "example" }'Submit a counter-offer to an existing offer. Auth: Must be the offeree. Phase 3: Counter-Offer & Negotiation
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”assignment_uuid
required
Assignment Uuid
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CounterOfferRequest
Schema for counter-offer submission
object
Examplegenerated
{ "rate": 1, "estimated_volume": 1, "estimated_total": 1, "deadline": 1, "counter_notes": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}